(function($) {

	"use strict";

	function fmeditate_mainMenuClear() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li:has("ul")').removeClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li:has("ul")').removeClass('level-two-sub-menu');										
		}

		if ( $('ul:first-child', $('#navmain > div') ).is( ":visible" ) ) {

			$('ul:first-child', $('#navmain > div') ).css('display', '');
		}
	}

	function fmeditate_mainMenuInit() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li:has("ul")').addClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li:has("ul")').addClass('level-two-sub-menu');										
		}
	}

	$( document ).ready(function() {

		$('#header-spacer').height( $('#header-main-fixed').height() );

		if (jQuery('#wpadminbar').length > 0) {
		
			jQuery('#header-main-fixed').css('top', jQuery('#wpadminbar').height() + 'px');
			jQuery('#wpadminbar').css('position', 'fixed');
		}

		fmeditate_mainMenuInit();

		fmeditate_init_loading_effects();

		$('#navmain > div').on('click', function(e) {

			e.stopPropagation();

			// toggle main menu
			if ( $(window).width() < 800 ) {

				var parentOffset = $(this).parent().offset(); 
				
				var relY = e.pageY - parentOffset.top;
			
				if (relY < 36) {
				
					$('ul:first-child', this).toggle(400);
				}
			}
		});

		// re-init main menu on screen resize
		$(window).resize(function () {
	       
	    	fmeditate_mainMenuClear();
	    	fmeditate_mainMenuInit();
		});

		$('.scrollup').click(function () {
			
			$("html, body").animate({
				  scrollTop: 0
			  }, 600);

			return false;
		});

		$(window).scroll(function () {

			var fadeInScrollUp = $(this).scrollTop() > 100;

			if (fadeInScrollUp) {

				$('.scrollup').fadeIn();

			} else {

				$('.scrollup').fadeOut();

			}
		});
	});

})(jQuery);

function fmeditate_init_loading_effects() {

	jQuery('#header-logo').addClass("hidden").viewportChecker({
            classToAdd: 'animated bounce',
            offset: 1
          });

    jQuery('#navmain').addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInRight',
            offset: 1
          });

    jQuery('#page-header, article h1').addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInUp',
            offset: 1
          });

    jQuery('#main-content-wrapper h2, #main-content-wrapper h3')
            .addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInUp',
            offset: 1
          });

    jQuery('img').addClass("hidden").viewportChecker({
            classToAdd: 'animated zoomIn',
            offset: 1
          });

    jQuery('#sidebar').addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInRight',
            offset: 1
          });

    jQuery('.before-content, .after-content').addClass("hidden").viewportChecker({
            classToAdd: 'animated bounce',
            offset: 1
          });

    jQuery('article p, article li')
    	.addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInRight',
            offset: 1
          });

    jQuery('#footer-main h1, #footer-main h2, #footer-main h3')
    	.addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInUp',
            offset: 1
          });

    jQuery('#footer-main p, #footer-main li')
    	.addClass("hidden").viewportChecker({
            classToAdd: 'animated bounceInRight',
            offset: 1
          });
}
